Bug 1003224 - Email from scan program crashes evo
Email from scan program crashes evo
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-31 21:31 EDT by Matthew Saltzman
Modified: 2013-09-03 02:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 02:40:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2013-08-31 21:31:42 EDT
Description of problem:
The email option for disposition of a scan in simple-scan-3.8.0-1.fc19.x86_64 causes evolution to crash.

Version-Release number of selected component (if applicable):
evolution-3.8.5-2.fc19.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Make sure evolution is your default mail client
2. Scan a document with simple-scan
3. Under simple-scan's File menu, select 'email'

Actual results:
Compose window opens with scan attached; evolution crashes.

Expected results:
Compose window opens with scan attached; evolution doesn't crash.

Additional info:
Not sure if this is a simple-scan issue or an evolution issue. Filed under evolution because that's what actually crashes.

The crash does not produce an abrt report, for some reason.
Comment 1 Milan Crha 2013-09-02 09:04:19 EDT
Thanks for a bug report. I see it constructs the execution command like:
   mailto:?attach=/tmp/scan96022W.jpg
at least for me, when I do not have any real scanner available (this is after fresh run of the simple-scan and clicking Document->Email).

Could you provide a backtrace (with debuginfo package for at least evolution) of the crash, please? I guess you face [1], but I cannot tell for sure without the backtrace. Thanks in advance.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=702958
Comment 2 Matthew Saltzman 2013-09-02 17:41:17 EDT
Yeah, well, now I can't reproduce it.  It was crashing reliably when I filed the bug, and I haven't even rebooted or anything.  Will follow up when it's reproducible again.
Comment 3 Milan Crha 2013-09-03 02:40:42 EDT
Thanks for the update. Maybe it really is the upstream bug I mentioned in comment #1, it isn't reproducible reliably too - it depends on "proper" timing. I'm closing this for now, but feel free to reopen, when you have the backtrace. I can compare it with the upstream backtrace and see how much it is the same.

Note You need to log in before you can comment on or make changes to this bug.